# -*- coding: utf-8 -*-
"""
Created on 2.10. 2018

@author: philippsen
"""
# Interpolation Messwerte Motor

from scipy.interpolate import interp1d as intpo
import numpy as np
import matplotlib.pyplot as plt

x  = np.array([0,1,2,3,4,5,6,7,8,9,10])
y = np.array([0,0,0.3,0.85,0.9,1.2,1.26,1.9,2.0,2.25,2.2])
li = intpo(x,y,kind='linear')
cu = intpo(x,y,kind='cubic')
p5 = intpo(x,y,kind=5)
xx = np.linspace(0,10,100)
plt.plot(x,y,'ro')
plt.plot(xx,cu(xx))
plt.plot(xx,li(xx))
plt.plot(xx,p5(xx))
plt.xlabel('Messpunkte x')
plt.ylabel('Interpolation Messwerte')
plt.grid('true')
plt.show()